Bug 241597 - (perl-HTML-Tidy) Review Request: perl-HTML-Tidy - (X)HTML validation in a Perl object
Review Request: perl-HTML-Tidy - (X)HTML validation in a Perl object
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-05-28 14:21 EDT by Chris Weyl
Modified: 2010-04-09 00:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-14 01:58:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ruben: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-28 14:21:46 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-HTML-Tidy-1.08-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-HTML-Tidy.spec

HTML::Tidy is an HTML checker in a handy dandy object. It's meant as a
replacement for HTML::Lint. If you're currently an HTML::Lint user looking
to migrate, see the section "Converting from HTML::Lint".
Comment 1 Ville Skyttä 2007-05-29 14:28:48 EDT
Not assigning to myself because I (still) think that including the test suite
code in the main package is not a good idea, but here's some notes:

make test fails at least in a devel x86_64 mach buildroot, and apparently for
someone else too: http://rt.cpan.org/Public/Bug/Display.html?id=26875

"validation" is misleading in Summary; tidy is not a validator.  "checking"
and/or "cleanup" would be more accurate.

Cosmetic: could use perl in %prep for all in-place edits - now there's one sed.
Comment 2 Jason Tibbitts 2007-09-21 23:44:18 EDT
I get 403: Forbidden when trying to fetch the package, and there's been no reply
to the existing commentary.  Setting NEEDINFO.
Comment 3 Jason Tibbitts 2007-10-23 16:47:03 EDT
So it seems that Chris is back.  Chris, did you want to move forward with this
package as well?
Comment 4 Chris Weyl 2007-11-18 15:00:05 EST
Ok, updated packages posted:


These packages build cleanly against the updated libtidy (yes, it was updated a
while ago :)) and in F-8 mock.
Comment 5 Ruben Kerkhof 2008-01-20 08:38:39 EST
Hi Chris,

The package looks good to me, the only thing is that the webtidy script needs a dependency on 

* source matches upstream:
   7912a2a739c6e2cfb6b409fb30b5047e18285dad  HTML-Tidy-1.08.tar.gz
* package is properly named according to the naming guidelines
* specfile is properly named, is cleanly written and uses macros consistently.
* summaries are OK.
* descriptions are OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds fine in mock
* package installs properly
* rpmlint has no complaints.
* final provides and requires are sane:
[ruben@odin SPECS]$ rpm -q --provides perl-HTML-Tidy
perl(HTML::Tidy) = 1.08
perl-HTML-Tidy = 1.08-2.fc8
[ruben@odin SPECS]$ rpm -q --requires perl-HTML-Tidy
perl >= 0:5.006001
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
* %check is present and succeeds
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* documentation is small, so no -doc subpackage is necessary.

Comment 6 Chris Weyl 2008-01-20 14:37:22 EST
Thanks for the review!  I'll add the dep on LWP::Simple prior to building.
Comment 7 Chris Weyl 2008-01-20 14:43:05 EST
New Package CVS Request
Package Name: perl-HTML-Tidy
Short Description: (X)HTML cleanup in a Perl object
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig
Comment 8 Kevin Fenzi 2008-01-21 11:57:56 EST
cvs done.
Comment 9 Ruben Kerkhof 2008-03-08 12:25:49 EST
Chris, can you please import the package?
Comment 10 Chris Weyl 2008-03-14 01:58:57 EDT

Imported and building for rawhide.
Comment 11 Nathanael Noblet 2010-04-06 19:32:08 EDT
Package Change Request
Package Name: dspam
Short Description: (X)HTML cleanup in a Perl object
New Branches: EL-5
Owners: gnat
InitialCC: perl-sig
Comment 12 Chris Weyl 2010-04-06 19:38:29 EDT
Branch request acked and approved.  Enjoy! :)
Comment 13 Kevin Fenzi 2010-04-07 22:20:37 EDT
Did you mean perl-HTML-Tidy here?
Comment 14 Nathanael Noblet 2010-04-08 00:22:45 EDT
ah yes sorry. totally meant perl-HTML-Tidy
Comment 15 Kevin Fenzi 2010-04-09 00:47:50 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.